Index: trunk/Cosmo/RadioBeam/brsrc.cc
===================================================================
--- trunk/Cosmo/RadioBeam/brsrc.cc	(revision 3565)
+++ trunk/Cosmo/RadioBeam/brsrc.cc	(revision 3572)
@@ -118,6 +118,6 @@
 NTuple BRSourceGen::Convert2Table(double freq0)
 {
-  char* nomsntsrc[9] = {"num","freq","freqred","amp","angrad","angdeg","phase",
-			"angyrad","angymin"};
+  const char* nomsntsrc[9] = {"num","freq","freqred","amp","angrad","angdeg","phase",
+                              "angyrad","angymin"};
   NTuple nt(9, nomsntsrc);
   double xnt[15];
Index: trunk/Cosmo/RadioBeam/multicyl.cc
===================================================================
--- trunk/Cosmo/RadioBeam/multicyl.cc	(revision 3565)
+++ trunk/Cosmo/RadioBeam/multicyl.cc	(revision 3572)
@@ -33,5 +33,5 @@
 
 //-----------------------------------------------------------------------------
-MultiCylinders::MultiCylinders(char* fileName)
+MultiCylinders::MultiCylinders(const char* fileName)
 {
   adfg_ = false; src_ = NULL;
Index: trunk/Cosmo/RadioBeam/multicyl.h
===================================================================
--- trunk/Cosmo/RadioBeam/multicyl.h	(revision 3565)
+++ trunk/Cosmo/RadioBeam/multicyl.h	(revision 3572)
@@ -28,5 +28,5 @@
   //   longueur @ f=2 ~ 64 (256*lambda/2 = 256*0.25)
  MultiCylinders(int nr=256, int ns=1024);
- MultiCylinders(char* filename);
+ MultiCylinders(const char* filename);
  ~MultiCylinders();
 
Index: trunk/Cosmo/RadioBeam/treccyl.cc
===================================================================
--- trunk/Cosmo/RadioBeam/treccyl.cc	(revision 3565)
+++ trunk/Cosmo/RadioBeam/treccyl.cc	(revision 3572)
@@ -36,5 +36,5 @@
 static int test1cyl(string& ppfname);
 static int testmulticyl(string& ppfname);
-int ReadParam(char* fileName);
+int ReadParam(const char* fileName);
 
 //-----------------------------------------------------------
@@ -285,5 +285,5 @@
 
 //---------------------------------------------------------------------
-int ReadParam(char* fileName)
+int ReadParam(const char* fileName)
 {  
   DataCards dc;
Index: trunk/Cosmo/SimLSS/cmvchkwhu.cc
===================================================================
--- trunk/Cosmo/SimLSS/cmvchkwhu.cc	(revision 3565)
+++ trunk/Cosmo/SimLSS/cmvchkwhu.cc	(revision 3572)
@@ -48,5 +48,5 @@
 
  const int n = 11;
- char *vname[n] = {"k","tf","tfnw","tfnb","tfc","tfb"
+ const char *vname[n] = {"k","tf","tfnw","tfnb","tfc","tfb"
                   ,"hutf","hutfnw","hutfnb","hutfc","hutfb"};
  NTuple nt(n,vname);
Index: trunk/Cosmo/SimLSS/cmvfitpk.cc
===================================================================
--- trunk/Cosmo/SimLSS/cmvfitpk.cc	(revision 3565)
+++ trunk/Cosmo/SimLSS/cmvfitpk.cc	(revision 3572)
@@ -133,5 +133,5 @@
  POutPersist pos("cmvfitpk.ppf");
  const int nvar = 2*npar+1;
- char *vname[nvar] = {
+ const char *vname[nvar] = {
        "xi2"
        ,"b","a","oc","ob","ol","h","n"
Index: trunk/Cosmo/SimLSS/cmvsinxsx.cc
===================================================================
--- trunk/Cosmo/SimLSS/cmvsinxsx.cc	(revision 3565)
+++ trunk/Cosmo/SimLSS/cmvsinxsx.cc	(revision 3572)
@@ -75,5 +75,5 @@
  //--- Create NTuple
  const int nvar = 11;
- char *vname[nvar] = {"t","s","sn","sx","sx2","snx","snx2","asx","asx2","asnx","asnx2"};
+ const char *vname[nvar] = {"t","s","sn","sx","sx2","snx","snx2","asx","asx2","asnx","asnx2"};
  double xnt[nvar];
  NTuple nt(nvar,vname);
Index: trunk/Cosmo/SimLSS/cmvtgrowth.cc
===================================================================
--- trunk/Cosmo/SimLSS/cmvtgrowth.cc	(revision 3565)
+++ trunk/Cosmo/SimLSS/cmvtgrowth.cc	(revision 3572)
@@ -35,5 +35,5 @@
 
  const int n = 2;
- char *vname[n] = {"z","d1"};
+ const char *vname[n] = {"z","d1"};
  NTuple nt(n,vname);
  double xnt[n];
Index: trunk/Cosmo/SimLSS/cmvtluc.cc
===================================================================
--- trunk/Cosmo/SimLSS/cmvtluc.cc	(revision 3565)
+++ trunk/Cosmo/SimLSS/cmvtluc.cc	(revision 3572)
@@ -56,5 +56,5 @@
  double norm3 = pow(norm,3.);
  const int n = 11;
- char *vname[n] = {
+ const char *vname[n] = {
    "z","hz","om","or","ol","ok","ot",
    "da","dl","dvc","vc0"
Index: trunk/Cosmo/SimLSS/cmvtransf.cc
===================================================================
--- trunk/Cosmo/SimLSS/cmvtransf.cc	(revision 3565)
+++ trunk/Cosmo/SimLSS/cmvtransf.cc	(revision 3572)
@@ -79,5 +79,5 @@
 
  const int n = 6;
- char *vname[n] = {"k","t","tnosc1","tnosc2","tnob","tcmbf"};
+ const char *vname[n] = {"k","t","tnosc1","tnosc2","tnob","tcmbf"};
  NTuple nt(n,vname);
  double xnt[n];
Index: trunk/Cosmo/SimLSS/cmvtstagn.cc
===================================================================
--- trunk/Cosmo/SimLSS/cmvtstagn.cc	(revision 3565)
+++ trunk/Cosmo/SimLSS/cmvtstagn.cc	(revision 3572)
@@ -158,5 +158,5 @@
 
 del ntjack
-c++exec char *vname[2] = {"x","y"}; double xnt[2]; \
+c++exec const char *vname[2] = {"x","y"}; double xnt[2]; \
 NTuple ntjack(2,vname); \
 for(int i=0;i<xjack.Size();i++) \
Index: trunk/Cosmo/SimLSS/cmvtstblack.cc
===================================================================
--- trunk/Cosmo/SimLSS/cmvtstblack.cc	(revision 3565)
+++ trunk/Cosmo/SimLSS/cmvtstblack.cc	(revision 3572)
@@ -267,5 +267,5 @@
 
  const int n = 14;
- char *vname[n] = {"f","l","prf","prl","pdf","pdl","rrf","rrl","rdf","rdl","wrf","wrl","wdf","wdl"};
+ const char *vname[n] = {"f","l","prf","prl","pdf","pdl","rrf","rrl","rdf","rdl","wrf","wrl","wdf","wdl"};
  NTuple nt(n,vname);
  double xnt[n];
Index: trunk/Cosmo/SimLSS/cmvtstpk.cc
===================================================================
--- trunk/Cosmo/SimLSS/cmvtstpk.cc	(revision 3565)
+++ trunk/Cosmo/SimLSS/cmvtstpk.cc	(revision 3572)
@@ -119,5 +119,5 @@
  //--------------------------
  const int n = 14;
- char *vname[n] = {
+ const char *vname[n] = {
    "k","pkini",
    "tf","pk0","pk",
Index: trunk/Cosmo/SimLSS/cmvtstsch.cc
===================================================================
--- trunk/Cosmo/SimLSS/cmvtstsch.cc	(revision 3565)
+++ trunk/Cosmo/SimLSS/cmvtstsch.cc	(revision 3572)
@@ -169,5 +169,5 @@
  //-------
  const int n = 3;
- char *vname[n] = {"m","f","mf"};
+ const char *vname[n] = {"m","f","mf"};
  NTuple nt(n,vname);
  double xnt[n];
Index: trunk/Cosmo/SimLSS/cmvtuniv.cc
===================================================================
--- trunk/Cosmo/SimLSS/cmvtuniv.cc	(revision 3565)
+++ trunk/Cosmo/SimLSS/cmvtuniv.cc	(revision 3572)
@@ -184,5 +184,5 @@
  double norm3 = pow(norm,3.);
  const int n = 15;
- char *vname[n] = {
+ const char *vname[n] = {
    "z","hz","om","or","ol","ok","ot","ob",
    "dtc","dlc","da","dl",
@@ -269,5 +269,5 @@
 
  const int n = 8;
- char *vname[n] = {"z","d","di","dl","dp","zi","zl","zp"};
+ const char *vname[n] = {"z","d","di","dl","dp","zi","zl","zp"};
  NTuple nt(n,vname);
  double xnt[n];
Index: trunk/Cosmo/SimLSS/cmvtvarspec.cc
===================================================================
--- trunk/Cosmo/SimLSS/cmvtvarspec.cc	(revision 3565)
+++ trunk/Cosmo/SimLSS/cmvtvarspec.cc	(revision 3572)
@@ -130,5 +130,5 @@
 //-----------------------------------------------------------------
  const int n = 2;
- char *vname[n] = {"k","pk"};
+ const char *vname[n] = {"k","pk"};
  NTuple nt(n,vname);
  double xnt[n];
Index: trunk/Cosmo/SimLSS/genefluct3d.cc
===================================================================
--- trunk/Cosmo/SimLSS/genefluct3d.cc	(revision 3565)
+++ trunk/Cosmo/SimLSS/genefluct3d.cc	(revision 3572)
@@ -106,5 +106,5 @@
                 <<" D="<<dx<<","<<dy<<","<<dz<<endl;
  if(nx<=0 || dx<=0.) {
-   char *bla = "GeneFluct3D::setsize_Error: bad value(s) for nn/dx";
+   const char *bla = "GeneFluct3D::setsize_Error: bad value(s) for nn/dx";
    cout<<bla<<endl; throw ParmError(bla);
  }
@@ -228,5 +228,5 @@
  if(kredshref<0.) {
    if(Nz_<=0) {
-     char *bla = "GeneFluct3D::SetObservator_Error: for kredsh_ref<0 define cube geometry first";
+     const char *bla = "GeneFluct3D::SetObservator_Error: for kredsh_ref<0 define cube geometry first";
      cout<<bla<<endl; throw ParmError(bla);
    }
@@ -265,5 +265,5 @@
 
  if(cosmo_ == NULL || redsh_ref_<0.) {
-   char *bla = "GeneFluct3D::LosComRedshift_Error: set Observator and Cosmology first";
+   const char *bla = "GeneFluct3D::LosComRedshift_Error: set Observator and Cosmology first";
    cout<<bla<<endl; throw ParmError(bla);
  }
@@ -561,5 +561,5 @@
   else if(array_type==2) nvar = 4;
   else return;
-  char *vname[4] = {"t","z","re","im"};
+  const char *vname[4] = {"t","z","re","im"};
   float xnt[4];
   NTuple nt(nvar,vname);
@@ -852,14 +852,14 @@
 
  if(growth_ == NULL) {
-   char *bla = "GeneFluct3D::ApplyGrowthFactor_Error: set GrowthFactor first";
+   const char *bla = "GeneFluct3D::ApplyGrowthFactor_Error: set GrowthFactor first";
    cout<<bla<<endl; throw ParmError(bla);
  }
  if(type_evol<1 || type_evol>2) {
-   char *bla = "GeneFluct3D::ApplyGrowthFactor_Error: bad type_evol value";
+   const char *bla = "GeneFluct3D::ApplyGrowthFactor_Error: bad type_evol value";
    cout<<bla<<endl; throw ParmError(bla);
  }
 
  InterpFunc interpinv(loscom2zred_min_,loscom2zred_max_,loscom2zred_);
- unsigned short ok;
+ //unsigned short ok;
 
  //CHECK: Histo hgr(0.9*zred_[0],1.1*zred_[n-1],1000);
@@ -1421,5 +1421,5 @@
  if(type_evol<0) type_evol = 0;
  if(type_evol>2) {
-   char *bla = "GeneFluct3D::AddNoise2Real_Error: bad type_evol value";
+   const char *bla = "GeneFluct3D::AddNoise2Real_Error: bad type_evol value";
    cout<<bla<<endl; throw ParmError(bla);
  }
@@ -1436,5 +1436,5 @@
    //      Mlim ~ sqrt(DNu) * (Dlum)^2 / Dtrcom
    if(cosmo_ == NULL || redsh_ref_<0.| loscom2zred_.size()<1) {
-     char *bla = "GeneFluct3D::AddNoise2Real_Error: set Observator and Cosmology first";
+     const char *bla = "GeneFluct3D::AddNoise2Real_Error: set Observator and Cosmology first";
      cout<<bla<<endl; throw ParmError(bla);
    }
